Bug 849 - [PATCH] Fix DRI pagesize assumptions in radeon and r128 drivers
Summary: [PATCH] Fix DRI pagesize assumptions in radeon and r128 drivers
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Driver/Radeon (show other bugs)
Version: git
Hardware: Other Linux (All)
: high normal
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-07-09 17:22 UTC by Mike A. Harris
Modified: 2004-07-11 06:21 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
xorg-x11-6.7.0-radeon-ia64-pagesize.patch (3.79 KB, patch)
2004-07-09 17:22 UTC, Mike A. Harris
no flags Details | Splinter Review

Description Mike A. Harris 2004-07-09 17:22:02 UTC
Patch by Mike A. Harris <mharris@redhat.com> for X.Org X11

Fix runtime DRI pagesize assumptions in the r128 and radeon drivers.  This is
particularly important on ia64 and other architectures that have a configurable
pagesize.  Otherwise, the X server is hard coded at build time to a particular
pagesize which may not match the installed kernel.
Comment 1 Mike A. Harris 2004-07-09 17:22:55 UTC
Created attachment 463 [details] [review]
xorg-x11-6.7.0-radeon-ia64-pagesize.patch
Comment 2 Adam Jackson 2004-07-10 04:38:31 UTC
cc'ing dri-devel@
Comment 3 Dave Airlie 2004-07-10 06:49:32 UTC
looks fine to me, commited to DRI tree..
Comment 4 Dave Airlie 2004-07-10 06:50:42 UTC
sorry this is also an xorg bug so let them also take patch... so I reopened it ..
Comment 5 Adam Jackson 2004-07-10 07:29:06 UTC
applied to xorg, closing.
Comment 6 Mike A. Harris 2004-07-11 23:21:43 UTC
Some creditation got lost while porting this patch forward.  Please be sure
to credit Chris Ahna, who posted the original patch for XFree86 4.3.0 some time
ago.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.